Images Search

Find images from a large independent index of images.

View skill file Skill file for Image search

Authorization

x-subscription-token string header required
The subscription token that was generated for the product.

Query Parameters

q string required
The user’s search query term. Query can not be empty. Maximum of 400 characters and 50 words in the query.
search_lang enum<string>
The search language preference. The 2 or more character language code for which the search results are provided.
Default: "en"
Available options: areubn
country enum<string>
The search query country, where the results come from. The country string is limited to 2 character country codes of supported countries and ALL for worldwide.
Default: "US"
Available options: ARAUAT
safesearch enum<string>

Filters search results for adult content. The following values are supported:

  • off - No content filtering (except for illegal content).
  • strict - Drops all adult content from search results.
Default: "strict"
Available options: offstrict
count integer

The number of search results returned in response. The maximum is 200. The actual number delivered may be less than requested.

NOTE: Image search is not paginated and has no offset parameter. Raise count to get more results.

Min: 1 Max: 200 Default: 50
spellcheck boolean
Whether to spell check provided query. If the spell checker is enabled, the modified query is always used for search. The modified query can be found in altered key from the query response model.
Default: true

Headers

api-version string
The API version to use. This is denoted by the format YYYY-MM-DD. Default is the latest that is available. Read more about API versioning.
accept enum<string>
The default supported media type is application/json.
Default: "application/json"
Available options: application/json*/*
cache-control "no-cache"
Brave Search will return cached content by default. To prevent caching set the Cache-Control header to no-cache. This is currently done as best effort.
user-agent string
  • Mozilla/5.0 (Linux; Android 12) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.5060.71 Mobile Safari/537.36 Android
  • Mozilla/5.0 (iPhone; CPU iPhone OS 15_5 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) CriOS/103.0.5060.63 Mobile/15E148 Safari/604.1 iOS
  • Mozilla/5.0 (Macintosh; Intel Mac OS X 12_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.0.0 Safari/537.36 macOS
  • Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.0.0 Safari/537.36 Windows
The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see RFC 9110.

Responses

200 Successful Response
type "images"
Default: "images"
query object required
Image search query string.
query.original string required
The original query that was requested.
query.altered string nullable
The altered query by the spellchecker. This is the query that is used to search.
query.spellcheck_off boolean nullable
Whether the spellchecker is enabled or disabled.
query.show_strict_warning boolean nullable
The value is true if the lack of results is due to a strict safesearch setting. Adult content relevant to the query was found, but was blocked by safesearch.
results object[] required
The list of image results for the given query.
results.type string
The type of image search API result. The value is always image_result.
Default: "image_result"
results.title string nullable
The title of the image.
results.url string nullable
The original page URL where the image was found.
results.source string nullable
The source domain where the image was found.
results.page_fetched string nullable
The ISO date time when the page was last fetched. The format is YYYY-MM-DDTHH:MM:SSZ.
results.thumbnail object nullable
The thumbnail for the image.
results.thumbnail.src string nullable
The served URL of the image.
results.thumbnail.width integer nullable
The width of the image.
results.thumbnail.height integer nullable
The height of the image.
results.properties object nullable
Metadata for the image.
results.properties.url string nullable
The image URL.
The lower resolution placeholder image URL.
results.properties.width integer nullable
The width of the image.
results.properties.height integer nullable
The height of the image.
results.meta_url object nullable
Aggregated information on the URL associated with the image search result.
results.meta_url.scheme string nullable
The protocol scheme extracted from the URL.
results.meta_url.netloc string nullable
The network location part extracted from the URL.
results.meta_url.hostname string nullable
The lowercased domain name extracted from the URL.
results.meta_url.favicon string nullable
The favicon used for the URL.
results.meta_url.path string nullable
The hierarchical path of the URL useful as a display string.
results.confidence enum<string> nullable
The confidence level for the image result.
Available options: lowmediumhigh
extra object required
Additional information about the image search results.
Indicates whether the image search results might contain offensive content.
Default: false
404 Not Found
type string
Default: "ErrorResponse"
error object required
error.id string required
A unique identifier for this particular occurrence of the problem.
error.status integer required
The HTTP status code applicable to this problem, expressed as a string value.
error.detail string nullable
Explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.
error.meta object nullable
A meta object containing non-standard meta-information about the error.
error.code enum<string> required
An application-specific error code, expressed as a string value.
Available options: INTERNALQUOTA_LIMITEDRATE_LIMITED
time integer
Default: 0
422 Unprocessable Entity
type string
Default: "ErrorResponse"
error object required
error.id string required
A unique identifier for this particular occurrence of the problem.
error.status integer required
The HTTP status code applicable to this problem, expressed as a string value.
error.detail string nullable
Explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.
error.meta object nullable
A meta object containing non-standard meta-information about the error.
error.code enum<string> required
An application-specific error code, expressed as a string value.
Available options: INTERNALQUOTA_LIMITEDRATE_LIMITED
time integer
Default: 0
429 Too Many Requests
type string
Default: "ErrorResponse"
error object required
error.id string required
A unique identifier for this particular occurrence of the problem.
error.status integer required
The HTTP status code applicable to this problem, expressed as a string value.
error.detail string nullable
Explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.
error.meta object nullable
A meta object containing non-standard meta-information about the error.
error.code enum<string> required
An application-specific error code, expressed as a string value.
Available options: INTERNALQUOTA_LIMITEDRATE_LIMITED
time integer
Default: 0